Name:           perl-Object-Import
Version:        1.005
Release:        1%{?dist}
Summary:        Import methods of an object as functions to a package
License:        GPL-3.0-or-later or Artistic-1.0-Perl
URL:            http://search.cpan.org/dist/Object-Import/
Source0:        http://www.cpan.org/authors/id/C/CO/CORION/Object-Import-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Math::BigInt) >= 1.59
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(subs)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(warnings)

%description
This module lets you call methods of a certain object more easily by
exporting them as functions to a package. The exported functions are not
called as methods and do not receive an object argument, but instead the
object is fixed at the time you import them with this module.

%prep
%setup -q -n Object-Import-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc CHANGES README TODO
%license ARTISTIC GPL
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Nov 20 2023 Chris Adams <linux@cmadams.net> 1.005-1
- initial package
